import java.util.*;
import java.io.*;
public class s1 {
public static void main(String [] args) throws Exception
{
Scanner in=new Scanner(new File(("array.in")));
PrintWriter out=new PrintWriter(new File("array.out"));
int i=0;
int n=in.nextInt();
   int[] arr=new int[n];
    for(i=0;i<n;i++)
    {
    arr[i]=in.nextInt();
    }
    for (i=0;i<n/2;i++)
    {
     out.print(arr[i]+" ");
     out.print(arr[n-i-1]+" ");
    }
    if (n%2==1) out.print(arr[n/2]+" ");
in.close();
out.close();
}
}

